%define module libdrm
%define debug_package %{nil}
%define _prefix %(%{SOURCE1} --prefix %{module}_uni)

Summary: Direct Rendering Manager runtime library
Name: libdrm-amdgpu
Version: 2.4.100
Release: 1089974.el8
Epoch: 1
License: MIT
Group: System Environment/Libraries
URL: http://dri.sourceforge.net
Source1: rbh.sh
Source2: rbh.conf
Source100: libdrm.rbh
Source101: libdrm-2.4.100.tar.gz


Requires: udev
Requires: libdrm-amdgpu-common
Requires: amdgpu-core
BuildRequires: pkgconfig
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: chrpath
BuildRequires: kernel-headers
BuildRequires: libxcb-devel
BuildRequires: meson
BuildRequires: cmake%{?rhel:3}
BuildRequires: systemd-devel
BuildRequires: libatomic_ops-devel
BuildRequires: libpciaccess-devel
%if 0%{?suse_version}
BuildRequires: glibc-devel
BuildRequires: libgcc_s1
BuildRequires: docbook-xsl-stylesheets
BuildRequires: docbook5-xsl-stylesheets
BuildRequires: util-macros-devel
BuildRequires: cunit-devel
%else
BuildRequires: glibc-devel%{?_isa}
BuildRequires: libgcc%{?_isa}
BuildRequires: libxslt docbook-style-xsl
BuildRequires: xorg-x11-util-macros
BuildRequires: CUnit-devel%{?_isa}
%endif

%description
Direct Rendering Manager runtime library

%package devel
Summary: Direct Rendering Manager development package
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kernel-headers >= 2.6.27-0.144.rc0.git2.fc10
Requires: pkgconfig

%description devel
Direct Rendering Manager development package

%package -n drm-utils-amdgpu
Summary: Direct Rendering Manager utilities
Group: Development/Tools
Requires: %{name} = %{epoch}:%{version}-%{release}
%if 0%{?suse_version:1}
Requires: libcunit1
%else
Requires: CUnit
%endif

%description -n drm-utils-amdgpu
Utility programs for the kernel DRM interface. Will void your warranty.

%prep
tar -C %{_sourcedir} -zxvf %{SOURCE101}

%{SOURCE1} --prep %{module}_uni
%setup -T -D -n drm

%build
%{SOURCE1} --build %{module}_uni

%install
%{SOURCE1} --install %{module}_uni

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot} %{_builddir}/drm
rm -rf %{_sourcedir}/drm


%files
%doc README*
%{_libdir}/libdrm.so.*
%{_libdir}/libdrm_radeon.so.*
%{_libdir}/libdrm_amdgpu.so.*
%{_libdir}/libkms.so.*
/lib/udev/rules.d/*.rules

%files devel
%{_includedir}/xf86drm.h
%{_includedir}/xf86drmMode.h
%{_includedir}/libsync.h
%dir %{_includedir}/libdrm
%{_includedir}/libdrm/*.h
%dir %{_includedir}/libkms
%{_includedir}/libkms/*.h
%{_libdir}/libdrm.so
%{_libdir}/libdrm_radeon.so
%{_libdir}/libdrm_amdgpu.so
%{_libdir}/libkms.so
%{_libdir}/pkgconfig/libdrm.pc
%{_libdir}/pkgconfig/libdrm_radeon.pc
%{_libdir}/pkgconfig/libdrm_amdgpu.pc
%{_libdir}/pkgconfig/libkms.pc
%{_mandir}/man3/drm*.3*
%{_mandir}/man7/drm*.7*

%files -n drm-utils-amdgpu
%{_bindir}/*


%changelog
* Tue Jun 09 2020 AMD automated build system <gpudriverdevsupport@amd.com> 2.4.100-1089974.el8
- drm 
- gerritgit/amd-mainline-hybrid-master20190125
- 1017ebdc03fc933ad98bcd8a245c5ef94a17dc27
- build ID: 1089974

